Gnome2::PixmapEntry(3)

NAME
Gnome2::PixmapEntry

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::VBox
                                +----Gnome2::FileEntry
                                     +----Gnome2::PixmapEntry

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable
  Gtk2::Editable

METHODS

  widget = Gnome2::PixmapEntry->new ($history_id, $browse_dialog_title, $do_preview)

•   $history_id (string)

•   $browse_dialog_title (string)

•   $do_preview (boolean)

  string = $pentry->get_filename

  $pentry->set_pixmap_subdir ($subdir)

•   $subdir (string)

  $pentry->set_preview ($do_preview)

•   $do_preview (boolean)

  $pentry->set_preview_size ($preview_w, $preview_h)

•   $preview_w (integer)

•   $preview_h (integer)

  widget = $pentry->preview_widget

  widget = $pentry->scrolled_window

PROPERTIES

'do-preview' (boolean : default false : readable / writable)
    Whether the pixmap entry should have a preview.

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::VBox, Gnome2::FileEntry

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.